﻿
@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
}
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<UserContractViewModel>()
               .Name("grid")
               .Events(e => e.DataBound("DataBound"))
               .Events(e => e.Edit("Edit"))
               .Events(e => e.DetailExpand("DetailExpand"))
               .Columns(columns =>
               {
                   columns.Bound(c => c.OrderId).Title("کد");
                   columns.Bound(c => c.Email).Title("کاربر").HtmlAttributes(new { style="font-weight:bold;letter-spacing:2px;font-size:13px;"});
                   columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                   columns.Bound(c => c.ContractName).Title("قرارداد");
                   columns.Bound(c => c.Price).Title("مبلغ");
               })

              .Groupable()
              .ColumnMenu()
              .Editable(editable =>
              {
                  editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
              }
              )
              .Pageable(pageable => pageable
                   .Refresh(true)
                   .PageSizes(true)
                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                   .PageSizes(new int[] { 10, 20, 30 }))
              .Navigatable()
              .Selectable(selectable =>
              {
                  selectable.Mode(GridSelectionMode.Single);
                  selectable.Type(GridSelectionType.Row);
              })
              .Sortable(sortable =>
              {
                  sortable.SortMode(GridSortMode.SingleColumn);
              })
              .Filterable()
                .Scrollable(s => s.Height("auto").Enabled(false))
              .DataSource(dataSource => dataSource
                  .Ajax()
                  .Sort(sort => sort.Add("UserContractID").Descending())
                  .Model(model => model.Id(p => p.UserContractID))
                  .Read(read => read.Action("UserContracts_Read", "UserContract"))
                  .Update(update => update.Action("UserContracts_Update", "UserContract"))
                  .Destroy(destroy => destroy.Action("UserContracts_Destroy", "UserContract"))
              )
        )
    </div>
</div>



<script>
     function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);

            if (model.Price == 0 || model.Price == null) $(this).find("td:nth-child(1)").append("<span style='margin-right:15px;color:green;font-weight:bold;'>رایگان</span>")
            else {
               $(this).find("td:nth-child(1)").append("<i style='color:red;vertical-align:middle;vertical-align:text-bottom;margin-right:15px;' class='material-icons'>attach_money</i>");
            }
            
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });

    }
     function Edit(e) {
    
      
        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
      

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: ""
            });
        } else {
            kendoWindow.setOptions({
                title: "مشاهده جزئیات بیشتر"
            });
        }
      
    }
     function DetailExpand(e) {
        this.collapseRow(this.tbody.find(' > tr.k-master-row').not(e.masterRow));

    }
     function SelectTab(e) {

    }
    function DataBoundPaymentLog(e){
         var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
                   
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });
    }
    function EditPaymentLog(e){

    }
</script>